Mailrelay API Reference

Lists WhatsApp sent messages

GET https://{account}/api/v1/whatsapp/sent_messages

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Lists WhatsApp transactional sent messages.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 100.

Parameters

NameTypeRequiredDescription
page integer No Page number
per_page integer No Number of records per page
q[id_eq] integer No Search: ID equals
q[id_gteq] integer No Search: ID greater than or equal to
q[id_lteq] integer No Search: ID less than or equal to
q[phone_eq] string No Search: Phone equals
q[phone_cont] string No Search: Phone contains
q[status_eq] string No Search: Status equals
q[status_cont] string No Search: Status contains
q[category_eq] string No Search: Category equals
q[category_cont] string No Search: Category contains
q[created_at_eq] string No Search: Created at equals
q[created_at_gteq] string No Search: Created at greater than or equal to
q[created_at_lteq] string No Search: Created at less than or equal to
q[processed_at_eq] string No Search: Processed at equals
q[processed_at_gteq] string No Search: Processed at greater than or equal to
q[processed_at_lteq] string No Search: Processed at less than or equal to
q[delivered_at_eq] string No Search: Delivered at equals
q[delivered_at_gteq] string No Search: Delivered at greater than or equal to
q[delivered_at_lteq] string No Search: Delivered at less than or equal to
q[read_at_eq] string No Search: Read at equals
q[read_at_gteq] string No Search: Read at greater than or equal to
q[read_at_lteq] string No Search: Read at less than or equal to
q[failed_at_eq] string No Search: Failed at equals
q[failed_at_gteq] string No Search: Failed at greater than or equal to
q[failed_at_lteq] string No Search: Failed at less than or equal to
q[s] string No Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "id desc"

Responses

StatusDescription
200 Success
400 The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.
403 WhatsApp endpoints require the WhatsApp add-on package or a paid plan.

Response fields

NameTypeDescription
id integer ID
subscriber_id integer Subscriber
phone string Phone
country string Country
category string Category
status string Status
created_at string Created at
processed_at string Processed at
delivered_at string Delivered at
read_at string Read at
failed_at string Failed at
error_code string Error code
error_message string Error message
used_credits number Used credits

Response headers

NameTypeDescription
Per-Page integer Number of records returned per page.
Total integer Total number of records matching the request, ignoring pagination.
Link string RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included.